Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-26 00:19:54 +0400
committerJunio C Hamano <junkio@cox.net>2006-07-26 00:19:54 +0400
commit09f5dc406a9e6630af881108af815f6c3fb6d9df (patch)
treebcb5d78479fb065c4b1c692a6b4d6e5d3ed30409 /git-fetch.sh
parente79992abdb42f8c9e517c60d7e023894a83764a1 (diff)
parent57a39690b936c003662b6710241732b980e58790 (diff)
Merge branch 'jc/clone-bind-failure'
* jc/clone-bind-failure: fetch/clone: check return status from ls-remote
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index f7167abdf0..c2eebee798 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -225,9 +225,16 @@ reflist=$(get_remote_refs_for_fetch "$@")
if test "$tags"
then
taglist=`IFS=" " &&
- git-ls-remote $upload_pack --tags "$remote" |
+ (
+ git-ls-remote $upload_pack --tags "$remote" ||
+ echo fail ouch
+ ) |
while read sha1 name
do
+ case "$sha1" in
+ fail)
+ exit 1
+ esac
case "$name" in
*^*) continue ;;
esac
@@ -237,7 +244,7 @@ then
else
echo >&2 "warning: tag ${name} ignored"
fi
- done`
+ done` || exit
if test "$#" -gt 1
then
# remote URL plus explicit refspecs; we need to merge them.